/*******************************************************************************
* File Name: PIRin.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PIRin_ALIASES_H) /* Pins PIRin_ALIASES_H */
#define CY_PINS_PIRin_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define PIRin_0			(PIRin__0__PC)
#define PIRin_0_PS		(PIRin__0__PS)
#define PIRin_0_PC		(PIRin__0__PC)
#define PIRin_0_DR		(PIRin__0__DR)
#define PIRin_0_SHIFT	(PIRin__0__SHIFT)
#define PIRin_0_INTR	((uint16)((uint16)0x0003u << (PIRin__0__SHIFT*2u)))

#define PIRin_INTR_ALL	 ((uint16)(PIRin_0_INTR))


#endif /* End Pins PIRin_ALIASES_H */


/* [] END OF FILE */
