/*******************************************************************************
* File Name: isrTimerSpeech.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrTimerSpeech_H)
#define CY_ISR_isrTimerSpeech_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrTimerSpeech_Start(void);
void isrTimerSpeech_StartEx(cyisraddress address);
void isrTimerSpeech_Stop(void);

CY_ISR_PROTO(isrTimerSpeech_Interrupt);

void isrTimerSpeech_SetVector(cyisraddress address);
cyisraddress isrTimerSpeech_GetVector(void);

void isrTimerSpeech_SetPriority(uint8 priority);
uint8 isrTimerSpeech_GetPriority(void);

void isrTimerSpeech_Enable(void);
uint8 isrTimerSpeech_GetState(void);
void isrTimerSpeech_Disable(void);

void isrTimerSpeech_SetPending(void);
void isrTimerSpeech_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrTimerSpeech ISR. */
#define isrTimerSpeech_INTC_VECTOR            ((reg32 *) isrTimerSpeech__INTC_VECT)

/* Address of the isrTimerSpeech ISR priority. */
#define isrTimerSpeech_INTC_PRIOR             ((reg32 *) isrTimerSpeech__INTC_PRIOR_REG)

/* Priority of the isrTimerSpeech interrupt. */
#define isrTimerSpeech_INTC_PRIOR_NUMBER      isrTimerSpeech__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrTimerSpeech interrupt. */
#define isrTimerSpeech_INTC_SET_EN            ((reg32 *) isrTimerSpeech__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrTimerSpeech interrupt. */
#define isrTimerSpeech_INTC_CLR_EN            ((reg32 *) isrTimerSpeech__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrTimerSpeech interrupt state to pending. */
#define isrTimerSpeech_INTC_SET_PD            ((reg32 *) isrTimerSpeech__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrTimerSpeech interrupt. */
#define isrTimerSpeech_INTC_CLR_PD            ((reg32 *) isrTimerSpeech__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrTimerSpeech_H */


/* [] END OF FILE */
