/* THIS SAMPLE CODE IS PROVIDED AS IS AND IS SUBJECT TO ALTERATIONS. FUJITSU */
/* MICROELECTRONICS ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR */
/* ELIGIBILITY FOR ANY PURPOSES.                                             */
/*                 (C) Fujitsu Microelectronics Europe GmbH                  */
/*---------------------------------------------------------------------------*/


#ifndef _SPEECH_H_
#define _SPEECH_H_

  #define SPEECH_DAC_WIDTH 7
  #define SPEECH_MAX_SAMPLES 50000

  #define SPEECH_RLT_10kHz 24
//  #define SPEECH_RLT_1kHz  249
  #define SPEECH_RLT_1kHz  124 //2khz
  

  void Speech_Init(void);  
  void Speech_Time_Clear(void);
  unsigned int Speech_Time_Get(void);
  void Speech_ISR(void);


// --- SPEECH IN (Record)

  #define SPEECH_IN_BUFFER_MAX 1024
  #define SPEECH_IN_USB_BLOCK    64     // Blocksize in bytes to be transfered from application

  #define SPEECH_IN_STATUS_IDLE         0x00 // No Speech Record operation ongoing
  #define SPEECH_IN_STATUS_REC          0x01 // Recording is ongoing
  #define SPEECH_IN_STATUS_REC_STOP     0x02 // Recording stopped
  #define SPEECH_IN_STATUS_REC_FINISH   0x03 // Recording finished (complete buffer transfered)
  #define SPEECH_IN_STATUS_REC_ERR      0x10 // Recording error
  #define SPEECH_IN_STATUS_REC_ERRMAX   0x11 // Recording error: Max filesize 
  #define SPEECH_IN_STATUS_REC_ERROVL   0x12 // Recording error: Buffer Overflow 

  unsigned char Speech_In_Status(void);
  void Speech_In_Start(char *filename);  
  void Speech_In_Stop(void);  
  void Speech_In_Buffer_to_USB(void);


// --- SPEECH OUT (Play)

  #define SPEECH_OUT_BUFFER_MAX  2048
  #define SPEECH_OUT_USB_BLOCK    256    // Blocksize in bytes to be transfered from application

  #define SPEECH_OUT_STATUS_IDLE         0x00 // No Speech Play operation ongoing
  #define SPEECH_OUT_STATUS_PLAY         0x01 // Playing is ongoing
  #define SPEECH_OUT_STATUS_PLAY_PAUSE   0x02 // Playing is paused
  #define SPEECH_OUT_STATUS_PLAY_STOP    0x03 // Playing is stopped
  #define SPEECH_OUT_STATUS_PLAY_FINISH  0x04 // Playing is finished
  #define SPEECH_OUT_STATUS_PLAY_ERR     0x10 // Playing error
  #define SPEECH_OUT_STATUS_PLAY_ERRBUF  0x11 // Playing error: unexpected memory read
  #define SPEECH_OUT_STATUS_PLAY_ERRREAD 0x12 // Playing error: unexpected data read

  unsigned char Speech_Out_Status(void);
  void Speech_Out_Start(char *filename);  
  void Speech_Out_Stop(void);  
  void Speech_Out_USB_to_Buffer(void);

  void Speech_Out_Start2(char *filename);  

  unsigned char Speech_File_Check( char* filename);

// --- SPEECH PC (USB Function Oscilloscope)

  #define SPEECH_PC_BUFFER_MAX 500      // Size of data to be buffer until PC transfer

  #define SPEECH_PC_STATUS_IDLE         0x00 // No PC transfer enabled
  #define SPEECH_PC_STATUS_REC          0x01 // PC data transfer is ongoing
  #define SPEECH_PC_STATUS_REC_FULL     0x02 // PC data transfer is ongoing

  unsigned char Speech_PC_Status(void);
  void Speech_PC_Status_Start(void);  
  void Speech_PC_Status_Stop(void);  
  void Speech_PC_BufferClear();
  unsigned char * Speech_PC_BufferGet();         // Returns buffer address

#endif	// _SPEECH_H_

/*************************** EOF **************************************/
